Refreshes a pending web booking, so that it is not purged automatically
POST
/v1/WebBooking/WebBookings/{id}/Refresh
const url = 'https://rms.dev.caspeco.net/api/booking/v1/WebBooking/WebBookings/example/Refresh';const options = {method: 'POST', headers: {system: 'example'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://rms.dev.caspeco.net/api/booking/v1/WebBooking/WebBookings/example/Refresh \ --header 'system: example'Refreshes a pending web booking, so that it is not purged automatically. This does not need to be run if the booking is not pending
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
The GUID of the webbooking to finalize
Header Parameters
Section titled “Header Parameters”system
required
string
The system name / database to query
Responses
Section titled “Responses”The refreshed web booking.